eureka:
  client.serviceUrl.defaultZone: http://admin:prolog00212@192.168.1.21:6001/eureka/
  instance:
#    ipAddress: 192.168.0.185
    leaseRenewalIntervalInSeconds: 30 #租期更新时间间隔（默认30秒） 客户端发送心跳检测时间间隔
    leaseExpirationDurationInSeconds: 90 #租期到期时间（默认90秒）
spring:
  application:
    name: upcloud-base-wh-operate-cube

  devtools:
    restart:
      enabled: true
  #redis配置
  redis:
    cluster:
      nodes: 192.168.1.17:6379,192.168.1.17:6380,192.168.1.18:6379,192.168.1.18:6380,192.168.1.19:6379,192.168.1.19:6380
    password: prolog-redis-0212
  #链路跟踪
  zipkin:
    base-url: http://192.168.0.167:10002
    sender.type: rabbit
    rabbitmq.queue: trace #默认配置
  sleuth:
    enable: false
    sampler:
      probability: 1.0
  rabbitmq:
    addresses: 192.168.1.17:5672,192.168.1.18:5672,192.168.1.19:5672
    username: common
    password: prolog-mq-20191229
    virtual-host: /upcloud-cube
    connection-timeout: 90s
    template:
      mandatory: true
#    支持发布确认
    publisher-confirms: true
#    支持发布返回
#    publisher-returns: true
    listener:
      simple:
        acknowledge-mode: manual
        auto-startup: true
        default-requeue-rejected: false
        concurrency: 3
        max-concurrency: 10
        retry:
          enabled: true
        prefetch: 100
  datasource:
    driverClassName: com.mysql.jdbc.Driver
    url: jdbc:mysql://192.168.1.13:2206/upcloud_biz_wh_operate?useSSL=false&serverTimezone=CTT&useUnicode=true&characterEncoding=utf-8&allowMultiQueries=true
    username: dev
    password: prolog0212-dev
    #使用druid数据源
    initialSize: 1 #初始化大小
    minIdle: 5 #最小空閒
    maxActive: 10 #最大連接數
    maxWait: 60000 #最大等待時間
    minEvictableIdleTimeMillis: 25200000 #最小生存時間
    
prolog:
  auth:
    redis:
#      timeout: 18000
      namespace: "upcloud-base-cube:"
  dao:
    dialect: mysql
    mybatis:
      mapperLocations: classpath:mappers/mysql/*.xml
  security:
    accessTokenValiditySeconds: 3600
    refreshTokenValiditySeconds: 30000
  rabbitmqManage:
    username: admin
    password: prolog-mq-20191229
    host: 192.168.1.18
  service:
    item: upcloud-base-item-cube
    inventory: upcloud-base-inventory-cube
    warehouse: upcloud-base-wh-cube
    platform-power: service-platform-power-base-mysql
    strategy: upcloud-base-strategy-cube
    common: upcloud-base-common-cube
    chain: upcloud-base-chain-cube
    control: upcloud-base-wh-control-cube
    outbound: upcloud-base-wh-outbound-cube
    gsp: upcloud-base-gsp-cube
    inbound: upcloud-base-wh-inbound-cube
    integration : service-integration
  integration:
#  http://192.168.1.21:6010/service-integration/http/service
    url: http://192.168.1.22:6070/http/service
    token: $2a$12$YIIm6aSpXAFDQ.IL1ah0TOBp/zbQaiPT5mFBaUxbCbwRKO0ZVkwqW  
    instockTransforId: 284
    instockCallId: 288
    instockCallStatusId: 301
    sendAgv: 282
    sendWms: 291
    updateAgvStatus: 293
    zftFlag: true
    countSheetId: 299
    countSheetInId: 300
    countSheetOutId: 301
  tx:
    url: "http://192.168.1.21:7000/tx/manager/"
    
management:
  endpoints:
    web:
      exposure:
        include: '*'
        exclude: shutdown
  endpoint:
    logfile.external-file: /usr/local/logs/upcloud-base-wh-operate/192.168.1.206.9818/info.log
    health.show-details: always

logging:
  config: classpath:log4j2-cube.xml
  level:
    com.netflix.discovery.shared.resolver.aws.ConfigClusterResolver: WARN

# 超时配置
ribbon:
  ReadTimeout: 120000
  ConnectTimeout: 10000
  MaxAutoRetries: 1
  MaxAutoRetriesNextServer: 1

feign.hystrix.enabled: true #启用熔断
hystrix:
  threadpool:
   default:
      coreSize: 20 #线程隔离，默认线程池大小为10
      maxQueueSize: 500
      queueSizeRejectionThreshold: 400
  command:
    default: #默认全局配置
      execution:
        timeout:
          enabled: true
        isolation:
          thread:
            timeoutInMilliseconds: 525000